/*
 * Copyright (c) 2012-2015 Yann Cantin <yann.cantin@laposte.net>
 *
 * based on xinput_calibrator by Tias Guns
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>
 */

#include "calibrator.hpp"

int main(int argc, char** argv)
{
	bool err;

	Calibrator* calibrator = Calibrator::make_calibrator_cli(argc, argv);

	err = calibrator->do_calib_io();

	delete calibrator;

	// do_calib_io() return true on success
	return !err;
}
